Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchChatMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.SearchChatMessages

Enclosing class:
  TdApi

public static final class TdApi.SearchChatMessages extends TdApi.Function<TdApi.Messages>
Searches for messages with given words in the chat. Returns the results in reverse chronological order, i.e. in order of decreasing messageId. Cannot be used in secret chats with a non-empty query (searchSecretMessages must be used instead), or without an enabled message database. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat in which to search messages.
`static final int`
`CONSTRUCTOR`
`TdApi.SearchMessagesFilter`
`filter`
Additional filter for messages to search; pass null to search for all messages.
`long`
`fromMessageId`
Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
`int`
`limit`
The maximum number of messages to be returned; must be positive and can't be greater than 100.
`long`
`messageThreadId`
If not 0, only messages in the specified thread will be returned; supergroups only.
`int`
`offset`
Specify 0 to get results from exactly the fromMessageId or a negative offset to get the specified message and some newer messages.
`String`
`query`
Query to search for.
`TdApi.MessageSender`
`sender`
Sender of messages to search for; pass null to search for messages from any sender.

## Constructor Summary

Constructors
Constructor
Description
`SearchChatMessages()`
Searches for messages with given words in the chat.
`SearchChatMessages(long chatId, String query, TdApi.MessageSender sender, long fromMessageId, int offset, int limit, TdApi.SearchMessagesFilter filter, long messageThreadId)`
Searches for messages with given words in the chat.
`SearchChatMessages(DataInput input)`
Searches for messages with given words in the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat in which to search messages.

### query

public String query
Query to search for.

### sender

public TdApi.MessageSender sender
Sender of messages to search for; pass null to search for messages from any sender. Not supported in secret chats.

### fromMessageId

public long fromMessageId
Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.

### offset

public int offset
Specify 0 to get results from exactly the fromMessageId or a negative offset to get the specified message and some newer messages.

### limit

public int limit
The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, the limit must be greater than -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### filter

public TdApi.SearchMessagesFilter filter
Additional filter for messages to search; pass null to search for all messages.

### messageThreadId

public long messageThreadId
If not 0, only messages in the specified thread will be returned; supergroups only.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchChatMessages

public SearchChatMessages()
Searches for messages with given words in the chat. Returns the results in reverse chronological order, i.e. in order of decreasing messageId. Cannot be used in secret chats with a non-empty query (searchSecretMessages must be used instead), or without an enabled message database. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `Messages`

### SearchChatMessages

public SearchChatMessages(long chatId, String query, TdApi.MessageSender sender, long fromMessageId, int offset, int limit, TdApi.SearchMessagesFilter filter, long messageThreadId)
Searches for messages with given words in the chat. Returns the results in reverse chronological order, i.e. in order of decreasing messageId. Cannot be used in secret chats with a non-empty query (searchSecretMessages must be used instead), or without an enabled message database. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `Messages`

Parameters:
  `chatId` - long Identifier of the chat in which to search messages.
  `query` - String Query to search for.
  `sender` - MessageSender Sender of messages to search for; pass null to search for messages from any sender. Not supported in secret chats.
  `fromMessageId` - long Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
  `offset` - int Specify 0 to get results from exactly the fromMessageId or a negative offset to get the specified message and some newer messages.
  `limit` - int The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, the limit must be greater than -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
  `filter` - SearchMessagesFilter Additional filter for messages to search; pass null to search for all messages.
  `messageThreadId` - long If not 0, only messages in the specified thread will be returned; supergroups only.

### SearchChatMessages

public SearchChatMessages(DataInput input) throws IOException
Searches for messages with given words in the chat. Returns the results in reverse chronological order, i.e. in order of decreasing messageId. Cannot be used in secret chats with a non-empty query (searchSecretMessages must be used instead), or without an enabled message database. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `Messages`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`